++ed by:

1 non-PAUSE user.

Ingy döt Net


only::install - Install multiple versions of modules


    use only::install qw(install);
    install(version => 1.23,
            versionlib => '/my/version/lib',


This module provides the programmer's API for installing multiple versions of a module. There is only one exportable function: install.

In order to install, you must be chdir()ed into a valid module distribution directory, and make or ./Build must already have been run. More specifically, there must be a blib directory and either a Makefile or a META.yml file.


  • version

    The version parameter tells install which version to install the distribution modules under. You normally don't need this, since install can extrapolate the vaule from the Makefile or from the META.yml file.

  • versionlib

    The versionlib parameter tells where to install the distribution contents. The default is stored in only::config.


Brian Ingerson <INGY@cpan.org>


Copyright (c) 2003. Brian Ingerson. All rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://www.perl.com/perl/misc/Artistic.html